(function(){
    X.pageLogic['datacheck_moren'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback;
            var baseeventdata = parms.data;

            var default_field
            X.api('check_data/default_field','get',{},function(d){
                default_field = d;
                var listarr = [];
                if(JSON.stringify(baseeventdata) != "{}"){
                    for(let i in default_field){
                        var arr= {
                            'title': i,
                            'on': 0
                        }
                        for(let j in baseeventdata){
                            if(i == j){
                                arr['on'] = 1;
                                break;
                            }
                        }
                        listarr.push(arr);
                    }
                }else {
                    for(let i in default_field){
                        var arr = {
                            'title': i,
                            'on':1
                        }
                        listarr.push(arr);
                    }
                }
                // console.log(listarr);
                // baseeventdata = default_field;
                X.laytpldata("#baseevent-checkbox-box-dot",listarr,".baseevent-checkbox-box");
                layui.form.render();
            })
            // $.ajax({
            //     url: 'http://10.0.0.77:7997/v1/check/default_field',
            //     type:'get',
            //     dataType: 'json',
            //     async:true,
            //     contentType:'application/json',
            //     beforeSend: function () { 
            //         // loading 显示
            //     },
            //     success:function(d){
            //         default_field = d.data;
            //         var listarr = [];
            //         if(JSON.stringify(baseeventdata) != "{}"){
            //             for(let i in default_field){
            //                 var arr= {
            //                     'title': i,
            //                     'on': 0
            //                 }
            //                 for(let j in baseeventdata){
            //                     if(i == j){
            //                         arr['on'] = 1;
            //                         break;
            //                     }
            //                 }
            //                 listarr.push(arr);
            //             }
            //         }else {
            //             for(let i in default_field){
            //                 var arr = {
            //                     'title': i,
            //                     'on':1
            //                 }
            //                 listarr.push(arr);
            //             }
            //         }
            //         // console.log(listarr);
            //         // baseeventdata = default_field;
            //         X.laytpldata("#baseevent-checkbox-box-dot",listarr,".baseevent-checkbox-box");
            //         layui.form.render();
            //     },
            //     error:function(error){
            //         layer.msg('条件错误');
            //     }
            // });

            // 清除
            $(document).off('click','.baseevent-but-qc').on('click','.baseevent-but-qc',function(){
                // console.log(default_field);
                var listarr = [];
                for(let i in default_field){
                    var arr = {
                        'title': i,
                        'on':0
                    }
                    listarr.push(arr);
                }
                X.laytpldata("#baseevent-checkbox-box-dot",listarr,".baseevent-checkbox-box");
                layui.form.render();
            });

            // 全选
            $(document).off('click','.baseevent-but-qb').on('click','.baseevent-but-qb',function(){
                // console.log(default_field);
                var listarr = [];
                for(let i in default_field){
                    var arr = {
                        'title': i,
                        'on':1
                    }
                    listarr.push(arr);
                }
                X.laytpldata("#baseevent-checkbox-box-dot",listarr,".baseevent-checkbox-box");
                layui.form.render();
            });

            $(document).off('click','.baseevent-but-qx').on('click','.baseevent-but-qx',function(){
                layer.closeAll();
            });

            
            $(document).off('click','.baseevent-but-ok').on('click','.baseevent-but-ok',function(){
                var fromdata = layui.form.val('baseeventexample');
                var defaultfield = {};
                for(let i in fromdata){
                    defaultfield[i] = default_field[i]
                }
                // baseeventdata = defaultfield;
                me.callback && me.callback(defaultfield);
                layer.close( me.parms.layIndex );
            });
            


        }
    };
})();